@import "secondary.css";

.button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    border-radius: 4px;
    border: none;
    margin: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    font-family: sans-serif;
    font-weight: 400;
    font-size: 12px;
    line-height: 14px;
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    transition: .2s linear;
}

.buttonWithIcon {
    padding-top: 7px;
    padding-bottom: 7px;
}

.button .icon {
    width: 18px;
    height: 18px;
    margin-right: 11px;
    transition: .2s linear;
}

.button:disabled {
    cursor: not-allowed;
}

.primary {
    background-color: #4592FF;
    color: #fff;
}

.primary:hover {
    background-color: #3b7bd4;
}

.primary:active {
    background-color: #2f5ea1;
}

.primary:disabled {
    background-color: #4592FF4f;
}

@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}